use crate::types::structs::message_sender::MessageSenderBuilder;
use telers::{types::Message, Bot};

pub type ExtractedEntityData = (Bot, Message, MessageSenderBuilder);

pub struct HandlerEntity {
    pub bot_instance: Bot,
    pub message_reciever: Message,
    pub message_sender_builder: MessageSenderBuilder,
}

impl HandlerEntity {
    #[inline]
    pub fn extract(self) -> ExtractedEntityData {
        (
            self.bot_instance,
            self.message_reciever,
            self.message_sender_builder,
        )
    }
}
